
# Welcome to the Avalanche for Luminar Beta 


## Avalanche for Luminar Beta 5 (9 May 2020)

`Expiry: 13 May 2020`

**Avalanche for Luminar Beta 4b** is the latest public beta of Avalanche for [Luminar](https://skylum.com/luminar). 
It provides the *features* listed below and comes also with a number of *limitations*.
This initial release provides Aperture/Lightroom **to Luminar 4** conversion with support for :
- masters and versions,
- support for converting virtual copies,
- support for converting metadata, flags, ratings, etc...,
- support for converting crops and geometrical adjustments,
- support for converting albums and Aperture projects, 
- support for converting of adjustments,
- support for populating the image history,
- support for referenced or embedded images. Referenced images can be copied or left in their original location.
- support for moving videos to a separate folder.

A simple conversion to folders is also available either for Lightroom or Aperture, that will extract all images to a folder structure, with optional sidecar files.


## Activate the beta
This version of Avalanche is full featured but *expires* after a while. We intend to publish new Beta versions on a regular basis.


## Providing feedback
Please send your feedback via email to [beta@cyme.io](mailto:beta@cyme.io). Alternatively, you can use the `Help > Send feedback menu` in Avalanche to compose your feedback email.


## What's Changed ?

- **[FIXED In 4e]** fixed a potential crash due to wrong image size.
- **[FIXED In 4e]** many small UI fixes and bug fixes.
- **[FIXED In 4d]** fixed potential black images because of a misreferenced path.
- **[FIXED IN 4d]** fixed many Luminar crash situations due to bad crop information.
- **[FIXED  IN 4d]** support for multiple versions of a master. Extra copies of the master are now created.
- **[FIXED IN 4b]** added support for masters on a network (SMB, ...) drive. Previously, images were not accessed resulting in a lot of missing images.
- **[FIXED IN 4b]** added support for images with local, paint-based and gradient based adjustments in Lighroom. In previous versions, these images would fail to be recognized by Avalanche.
- **[FIXED IN 4b]** improved error reporting in the companion CSV file.
- **[FIXED IN 4b]** renamed the log file for consistency.
- **[FIXED IN 4b]** many minor fixes.
- [NEW] added support for Luminar 4.2,
- [NEW] added support for the migration of adjustments using Machine Learning,
- [NEW] several UI improvements 
- [FIXED] a number of situations that could lead to Lightroom catalogs not being converted properly.
- [FIXED] better support for exporting curves.
- [FIXED] countless bug fixes and improvements.



## Known limitations / issues
The following features are not yet implemented or not yet fully functional :
- denoise, vignetting are not yet supported,
- RAW+JPEG pairs are not supported yet,
- Aperture's dedicated Skin Tones and NaturalGray white balance settings are not yet handled
- the following Aperture effects are not yet supported: Sepia Toning, Monochrome effects, Levels,...
- the following adjustments are not converted at all (default values apply) : Sharpening, Vignetting
- MacOS 10.14 Mojave is required


## What to expect in the next updates ?
We expect to deliver the following features in the upcoming betas :
- support for migrating more adjustments 
- better support for reading all types of Lightroom catalogs,
- support for RAW+JPEG pairs,
- support for MacOS High Sierra (10.13) - **in progress**
- better conversion of adjustments - **in progress**. 
- tentative support for Sepia toning, etc...
- better conversion of adjustments such as sharpening, noise reduction, etc....

Thank You!

Copyright (c) 2018-2020 - [Cyme](https://cyme.io) 

Made with ❤️ in Montpellier, France.
