
# What's New in Avalanche for Luminar
### All the details about the latest **Avalanche for Luminar** update 


**Avalanche** *for Luminar* 1.7.6b

`Released: February 20th, 2024`

[(information on all versions)](https://cyme.io/release-notes/)


## New in this version

This Avalanche update introduces improvements and increased compatibity. It is recommended to all our users.

- **[RESOLVED in 1.7.6b]**: Mojave compatibility is back.
- **[FIXED]** : various bug fixes and improvements.

## Changes in v1.7.4

- **[NEW]** : improved support for latest cameras.
- **[NEW]** : added the ability to not export the adjustment computed via Machine Learning.
- **[NEW]** : added more flexibility when dropping a C1 project into the main view.
- **[IMPROVED]** : reliability of conversion in some specific scenarios.
- **[IMPROVED]** : improved conversion to Apple Photos.
- **[FIXED]** : correct the systematic versionName generated from the fileName when moving from Aperture. The versionName is blank if it was not entered explicitely.
- **[FIXED]** : fixed a possible failure to generate a correct Apple Photos library when the duration of some videos were incorrect.
- **[FIXED]** : many smaller problems.

## Changes in v1.7

- **[NEW]** : updated for the latest version of LuminarAI. 
- **[NEW]** : compatible with the Luminar Migration tool to further convert to Luminar Neo
- **[NEW]** : added support for Apple Photos library in Ventura.
- **[NEW]** : added support for reading CaptureOne v23 catalogs.
- **[FIXED]** : fixed a very rare crash when opening some corrupted Aperture libraries.
- **[FIXED]** : many smaller problems.


## Changes in v1.6.5

- **[FIXED]** : when converting from Apple Photos, we properly handle referenced files that were renamed.
- **[FIXED]** : many smaller problems.


## Changes in v1.6.4

- **[NEW]**: added new payment/validation system using Fastspring.
- **[FIXED]** : when converting from CaptureOne, some master images (mostly RAW NEF files with specific compression:14bits,...) could be missing.
- **[FIXED]** : many smaller problems.


## Changes in v1.6.1

- **[IMPROVED]** : when exporting from Aperture, we now correctly separate the Albums and Project hierarchies.
- **[IMPROVED]** : when exporting from Aperture, we now preserve the order of all items in the Albums and Project hierarchies.
- **[IMPROVED]** : when exporting from Luminar, we now correctly export all exif.
- **[FIXED]** : added support for CaptureOne v15.x (including 15.2). When running Avalanche with C1 v15.2 beta installed, one could get an error message complaining about misplaced Film curves and Film profiles.
- **[FIXED]** : the export of albums to Capture One.
- **[FIXED]** : the projects in CaptureOne now properly show the content below.
- **[FIXED]** : many smaller problems.


## Changes in v1.6

- **[NEW]**: add support for migrating **Apple Photos** catalogs (in Big Sur and Monterrey). Older Apple Photos catalogs are currently not supported. Please refer to our web site for the list of supported features when coming from those catalog types.
- **[NEW]** : added a hint in the main user interface concerning the number of master images that are also present in the cloud.
- **[FIXED]** : included daylight saving when migrating versions to CaptureOne. Avalanche will use the timezone information inside the source catalog to ensure the migrated assets have the correct capture date and time and daylight savings are taken into account.
- **[IMPROVED]** : improved the handling of projects
- **[FIXED]** : the handling of photostreams is now improved in the case of Aperture → CaptureOne. Previously, all Aperture Photostreams would be systematically ignored when migrating to C1. Now you have the choice.
- **[FIXED]** : the images names are now handled in a case insensitive manner. In previous versions, the migration could generate a lot of errors when some image files had names differing only by case. Now, this is well handled. 
- **[FIXED]** : fixed the export of LR catalogs containg assets synchronized in the Adobe Cloud. All images that were synchronized with the cloud used to be totally ignored.
- **[FIXED]** : the Preferences panel could not be launched.
- **[FIXED]** : many smaller problems.


## Changes in v1.5.2

- **[IMPROVED]** : added compatibility with Capture One v22.
- **[FIXED]** : a possible timezone error when migrating versions to CaptureOne. Avalanche will use the timezone information inside the source catalog to ensure the migrated assets have the correct capture date and time.
- **[IMPROVED]** : performance has been improved in some situations.
- **[FIXED]** : many smaller problems.

## Changes in v1.5.1

- **[NEW]**: add support for migrating **iView Media Pro**, **Expression Media** and **PhaseOne Media Pro** catalogs. Please refer to our web site for the list of supported features when coming from those catalog types.
- **[FIXED]** : some date reading issues when coming from Aperture.
- **[FIXED]** : a possible crash situation occuring when migrating libraries with PDFs, PSDs or other less common image types.
- **[FIXED]** : many smaller problems.


## Changes in v1.4

This Avalanche update fixes some important issues and improves reliability and performances. It is recommended to all our users.

- **[NEW]**: add support for migrating **Google Photos takeouts**. Google photos and videos from a takeout can be imported with their annotations, the albums they belong to, into an output catalog that Avalanche supports. Faces are imported as keywords.
- **[NEW]**: added the ability to export masters in a YYYY/YYYY-MM-DD folder structure.
- **[IMPROVED]**: RAW+JPEG pairs are now properly migrated to Luminar when coming from Aperture
- **[FIXED]** : many smaller problems.

## Changes in v1.3.4

- **[IMPROVED]** : the search field in the catalog browser works much better 
- **[FIXED]** : in some situations, reading an Aperture or Lightroom catalog could freeze the interface
- **[FIXED]** : many smaller problems.


## Changes in v1.3.3

- **[FIXED]**: a problem when accessing the master folders list in Apple Aperture.
- **[FIXED]**: the spinning beachball could appear when launching a conversion from Aperture, making the whole interface unresponsive for a long time in the case of large catalogs. The underlying validity check that was causing this has been replaced with a super fast check.
- **[IMPROVED]**: the destination path is now unchanged between consecutive migration. Previously it was updated every time causing successive migration to be wrongly located.
- **[FIXED]**: DNG White Balance is properly computed for some specific formats (DNGs lossy compression) that were  not properly handled.
- **[FIXED]**: a number of user interfaces glitches and localization improvements.


## Changes in v1.3.1

- **[NEW]**: A clear dialog is now displayed when folders with masters in them are missing on online volumes. Choice is given to continue or cancel the conversion. In previous versions, the masters would be skipped without a good reporting on the error.
- **[IMPROVED]**: exporting Luminar previews is now disabled when migrating to Luminar AI.
- **[IMPROVED]**: the little arrow next to the catalog name allows to easily navigate to the catalog in the Finder.
- **[IMPROVED]**: error reporting in the logs, especially for missing files on disk.
- **[FIXED]**: The EXIF capture date could be wrong in some situations. Timezone information is now properly taken into account.
- **[FIXED]**: a number of user interfaces glitches and localization improvements.



## Changes in v1.3

- **[NEW]**: Added support for migration of Aperture and Lightroom to **Luminar  AI**.
- **[NEW]**: Added support for migration of **Luminar 4** catalogs to **Luminar AI** while keeping the vast majority of complex enrichments. The full list of supported filters is: Light, Enhance AI, Structure AI, Color, BW Conversion, Details Enhancer, Denoise, Landscape Enhancer, Sky Replacement AI, Augmented Sky AI, Sunrays, Dramatic, Matte look, Mystical, Glow, Film Grain, Face AI, Skin AI, High Key, Advanced Contrast. 
- **[NEW]**: Added support for photostreams in Aperture. You can now choose to process or ignore photostreams.
- **[FIXED]**: a number of user interfaces glitches and localization improvements.


## Changes in v1.2.5

- **[NEW]**: Added support for Apple Silicon Macs (M1).
- **[NEW]**: Added support for Lightroom 10 database format.
- **[NEW]**: new Big Sur icon style.
- **[IMPROVED]**: Vastly improved performance when browsing catalogs in the browser.
- **[IMPROVED]**: Added proper support for non-latin characters in all IPTC fields (it was only working properly in the main fields, like caption, etc...)
- **[FIXED]**: Fixed a possible error when accessing catalogs on network drives
- **[FIXED]**: Fixed a possible metadata loss when migrating IPTC fields to LR containing unicode characters (in particular when using the "©" symbol for the copyright).
- **[FIXED]**: Fixed a possible mixup in IPTC metadata beween Job identifier and Job title.
- **[FIXED]**: Fixed a possible timezone conversion error when migrating images
- **[FIXED]**: Fixed a possible error when accessing catalogs on network drives
- **[FIXED]**: a number of user interfaces glitches and localization improvements.
- **[NEW]**: developed a utility tool (available upon request) to fix timezone issues for conversion that happened before August 2020.

## Changes in v1.2.4

- **[FIXED]**: Several crash situations reported by our users
- **[FIXED]**: In some specific situations, a lot of master images could be missing in the final catalog. This was the was when copying referenced files and when videos and images were copied to the same folder (same hiearchy for images and videos).
- **[FIXED]**: a number of user interfaces glitches and localization improvements.



## Changes in v1.2.2-v1.2.3

- **[NEW]**: added support for Lightroom Classic v10 that was just released by Adobe. v10 catalogs are properly read by Avalanche.
- **[FIXED]**: Several crash situations reported by our users
- **[FIXED]**: Timeline display issues in the situation of dates spanning several decades
- **[FIXED]**: a number of User interfaces glitches.
- **[IMPROVED]**: added a better crash reporting system.
- **[NEW in 1.2.3]**: added support for Lightroom Classic v10 that was just released by Adobe. v10 catalogs are properly read by Avalanche.


## Changes in v1.2.1

- **[NEW]** : added **German** 🇩🇪 localization.
- **[NEW]** : added **Japanese** 🇯🇵 localization.
- **[NEW]** : added the export of previews for **Files and Folders** export.
- **[IMPROVED]** : fixed several conditions when the number of reported processed masters/versions were wrong.
- **[IMPROVED]** : improved localization .
- **[FIXED]** : Better management of corrupted input Aperture catalogs :
    - Add new logs to the conversion log file to indicate the number of corrupted masters.
    - Fixed a crash that occurred when a date linked to a specific master was undefined.
- **[FIXED]** : fixed several crash situations occurring when the projects contained special characters.
- **[FIXED]** : fixed several crash situations related to the timeline and corrupted dates.
- **[FIXED]** : several minor bugs and UI glitches.



## Changes in v1.2

- **[NEW]** : added the ability to customize the preview image names on disk by choosing a suffix and previewing how it will look like.
- **[NEW]** : added the ability to apply the naming suffix to the version (copy) names.
- **[NEW]** : add a clear warning when the source catalog is linked with an iCloud photostream as Avalanche does not support migrating those images.
- **[NEW]** : new QuickStart in french.
- **[IMPROVED]** : improved date timezone encoding when exporting.
- **[IMPROVED]** : improved support for the MagicMouse and Magic Trackpad. In previous versions, some horizontal scroll could lead to unexpected UI behaviour.
- **[IMPROVED]** : the criteria for exporting previews has been clarified. You can now choose between 'lossy and approximate' or 'lossy'
- **[IMPROVED]** : an alert is displayed when you choose to export all previews, warning you about the size and time requirements
- **[IMPROVED]** : the display of RAW+JPEG pairs when counting masters.
- **[IMPROVED]** : window size and position is remembered between launches.
- **[IMPROVED]** : the timeline display is now restricted to a more reasonable time period [1900, 2100].
- **[IMPROVED]** : the previews have now the same IPTC and EXIF properties as the picture they represent.
- **[FIXED]** : resolved some situations were an image could be missed in the migration.
- **[FIXED]** : some image metadata is better exported to Lightroom making the catalog more consistent 
- **[FIXED]** : some dates were incorrect in the timeline
- **[FIXED]** : the timeline was not displaying periods containing only 1 image.
- **[FIXED]** : improved some localization and wording

## Changes in 1.1.1 

This Avalanche update fixes some issues and adds some new features. It is recommended to all our users.

- **[NEW]** : added support for reading Lightroom Catalogs from version 5 (previously, only v8 and onward was supported)
- **[NEW]** : added support for Luminar 4.3
- **[IMPROVED]** : better error reporting when some files to migrate are offline
- **[FIXED]** : a possible crash situation when exporting masters with multiple versions to Luminar
- **[FIXED]** : a typo in the Preferences screen


## Changes in v1.1

- **[NEW]** : add the option to migrate previews of the edited files if available. Various new options let you control exactly under which circumstances these previews are migrated, and what is the minimum quality of previews that should be considered.
- **[NEW]** : added a new option to add referenced folders in Luminar.
- **[NEW]** : filter out PDF files that could exist in Aperture.
- **[IMPROVED]** : added more security when dealing with corrupt EXIF values in Aperture.
- **[FIXED]** : some detected faces could have a 0 pixel rectangle in some circumstances
- **[FIXED]** : fixed a bad catalog formatting when choosing to merge the image and video hierarchies. As a result of this bug, some exported catalog could fail to be merged in a master catalog because of an error.
- **[FIXED]** : improved how we deal with images that had their capture date modified in Aperture.


## Changes in v1.0.1

- **[NEW]** : a new icon has been added to identify catalogs synchronized in the cloud and a dedicated alert is shown before migration to prompt a verification for the local availability of all images.
- **[NEW]** : it is now possible to run a conversion to Luminar even if some volumes are offline. The number of offline masters is displayed next to each offline volume to allow the user to make a decision (cancel or proceed). Masters on offline volumes are ignored.
- **[IMPROVED]** : Lightroom catalog that are synchonized with mobile or with Lightroom CC (Cloud) are now fully taken into account. In previous releases, all images that were synchronized from the cloud would be ignored.
- **[FIXED]** : some complex Lightroom adjustments could fail to be decoded properly.
- **[FIXED]** : the GPS latitude was not properly inserted in Lightroom.
- **[FIXED]** : fixed a serious problem where some images or video would be migrated but would fail to appear in the target library.
- **[FIXED]** : fixed a memory consumption problem when migrating from Lightroom, that would cause the memory consumed by Avalanche to grow beyond reasonable levels.
- **[FIXED]** : it is now possible to cancel a migration from Lightroom.
- **[IMPROVED]** : migration performance is much better in some situations.
- **[IMPROVED]** : error reporting and display has been improved in the final screen and in the CSV file.
- **[FIXED]** : many UI fixes, small performance and usability bug fixes.



## Know issues
- if a source catalog contains assets coming from  an iCloud PhotoStream synchronization, these assets will be ignored. A future version will let you control the handiling of those images.


## Known limitations 
The following features are not yet implemented or not yet fully functional :
- MacOS 10.14 Mojave is required
- Aperture's dedicated Skin Tones and NaturalGray white balance settings are not yet handled
- the following Aperture effects are not yet supported: Sepia Toning, Monochrome effects, Levels,...
- the following adjustments are not converted at all (default values apply) : Noise Reduction, Sharpening


## What to expect in the next updates ?

- improvements to the Machine Learning data to improve migration of all adjustments.
- support for Vignetting, Sharpening, etc...
- support for Apple Photos as a source.

Please contact us via our feedback form inside the app if you have specific requirements.

Thank You!

Copyright (c) 2018-2024 - [Cyme](https://cyme.io)  

Made with ❤️ in Montpellier, France.


